{
    "doc": "This defines a RD Participant (demographics and pedigree information)",
    "fields": [
        {
            "doc": "Numbering used to refer to each member of the pedigree",
            "name": "pedigreeId",
            "type": [
                "null",
                "int"
            ]
        },
        {
            "doc": "If this field is true, the member should be considered the proband of this family",
            "name": "isProband",
            "type": [
                "null",
                "boolean"
            ]
        },
        {
            "doc": "participantId.  This is the human readable ID in GMS",
            "name": "participantId",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "participantQCState",
            "name": "participantQCState",
            "type": [
                "null",
                {
                    "doc": "QCState Status",
                    "name": "ParticipantQCState",
                    "symbols": [
                        "noState",
                        "passedMedicalReviewReadyForInterpretation",
                        "passedMedicalReviewNotReadyForInterpretation",
                        "queryToGel",
                        "queryToGMC",
                        "failed"
                    ],
                    "type": "enum"
                }
            ]
        },
        {
            "doc": "superFamily id, this id is built as a concatenation of all\n        families id in this superfamily i.e, fam10024_fam100457.\n        NOTE: Retired for GMS",
            "name": "gelSuperFamilyId",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "Sex of the Participant",
            "name": "sex",
            "type": {
                "doc": "Sex",
                "name": "Sex",
                "symbols": [
                    "MALE",
                    "FEMALE",
                    "UNKNOWN"
                ],
                "type": "enum"
            }
        },
        {
            "doc": "Karyotypic sex of the participant as previously established or by looking at the GEL genome",
            "name": "personKaryotypicSex",
            "type": [
                "null",
                {
                    "doc": "Karyotipic Sex",
                    "name": "PersonKaryotipicSex",
                    "symbols": [
                        "UNKNOWN",
                        "XX",
                        "XY",
                        "XO",
                        "XXY",
                        "XXX",
                        "XXYY",
                        "XXXY",
                        "XXXX",
                        "XYY",
                        "OTHER"
                    ],
                    "type": "enum"
                }
            ]
        },
        {
            "doc": "Year of Birth",
            "name": "yearOfBirth",
            "type": [
                "null",
                "int"
            ]
        },
        {
            "doc": "refers to the pedigreeId of the father\n        Id of the parent, if unknown then no parent is referenced. Parents may need to be entered even if no data is known\n        about them in order to unambiguously reconstruct the pedigree.",
            "name": "fatherId",
            "type": [
                "null",
                "int"
            ]
        },
        {
            "doc": "refers to the pedigreeId of the mother\n        Id of the parent, if unknown then no parent is referenced. Parents may need to be entered even if no data is known\n        about them in order to unambiguously reconstruct the pedigree.",
            "name": "motherId",
            "type": [
                "null",
                "int"
            ]
        },
        {
            "doc": "this id is built using the original familyId and the original pedigreeId of the father\n        NOTE: retired for GMS",
            "name": "superFatherId",
            "type": [
                "null",
                "int"
            ]
        },
        {
            "doc": "this id is built using the original familyId and the original pedigreeId of the mother\n        NOTE: Retired for GMS",
            "name": "superMotherId",
            "type": [
                "null",
                "int"
            ]
        },
        {
            "doc": "Each twin group is numbered, i.e. all members of a group of multiparous births receive the same number",
            "name": "twinGroup",
            "type": [
                "null",
                "int"
            ]
        },
        {
            "doc": "A property of the twinning group but should be entered for all members",
            "name": "monozygotic",
            "type": [
                "null",
                {
                    "doc": "This defines a yes/no/unknown case",
                    "name": "TernaryOption",
                    "symbols": [
                        "yes",
                        "no",
                        "unknown"
                    ],
                    "type": "enum"
                }
            ]
        },
        {
            "doc": "Adopted Status",
            "name": "adoptedStatus",
            "type": [
                "null",
                {
                    "doc": "adoptedin means adopted into the family\n    adoptedout means child belonged to the family and was adopted out",
                    "name": "AdoptedStatus",
                    "symbols": [
                        "notadopted",
                        "adoptedin",
                        "adoptedout"
                    ],
                    "type": "enum"
                }
            ]
        },
        {
            "doc": "Life Status",
            "name": "lifeStatus",
            "type": [
                "null",
                {
                    "doc": "Life Status",
                    "name": "LifeStatus",
                    "symbols": [
                        "ALIVE",
                        "ABORTED",
                        "DECEASED",
                        "UNBORN",
                        "STILLBORN",
                        "MISCARRIAGE"
                    ],
                    "type": "enum"
                }
            ]
        },
        {
            "doc": "The parents of this participant has a consanguineous relationship",
            "name": "consanguineousParents",
            "type": [
                "null",
                "TernaryOption"
            ]
        },
        {
            "doc": "Affection Status",
            "name": "affectionStatus",
            "type": [
                "null",
                {
                    "doc": "Affection Status",
                    "name": "AffectionStatus",
                    "symbols": [
                        "UNAFFECTED",
                        "AFFECTED",
                        "UNCERTAIN"
                    ],
                    "type": "enum"
                }
            ]
        },
        {
            "doc": "Clinical Data (disorders). If the family member is unaffected as per affectionStatus then this list is empty.",
            "name": "disorderList",
            "type": [
                "null",
                {
                    "items": {
                        "doc": "This is quite GEL specific. This is the way is stored in ModelCatalogue and PanelApp.\n    Currently all specific disease titles are assigned to a disease subgroup so really only specificDisease needs to be\n    completed but we add the others for generality",
                        "fields": [
                            {
                                "doc": "This is Level2 Title for this disorder",
                                "name": "diseaseGroup",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "doc": "This is Level3 Title for this disorder",
                                "name": "diseaseSubGroup",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "doc": "This is Level4 Title for this disorder.\n        In GMS, this is the clinicalIndicationFullName/clinicalIndicationCode.",
                                "name": "specificDisease",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "doc": "Age of onset in years",
                                "name": "ageOfOnset",
                                "type": [
                                    "null",
                                    "float"
                                ]
                            }
                        ],
                        "name": "Disorder",
                        "type": "record"
                    },
                    "type": "array"
                }
            ]
        },
        {
            "doc": "Clinical Data (HPO terms)",
            "name": "hpoTermList",
            "type": [
                "null",
                {
                    "items": {
                        "doc": "This defines an HPO term and its modifiers (possibly multiple)\n    If HPO term presence is unknown we don't have a entry on the list",
                        "fields": [
                            {
                                "doc": "Identifier of the HPO term",
                                "name": "term",
                                "type": "string"
                            },
                            {
                                "doc": "This is whether the term is present in the participant (default is unknown) yes=term is present in participant,\n        no=term is not present",
                                "name": "termPresence",
                                "type": [
                                    "null",
                                    "TernaryOption"
                                ]
                            },
                            {
                                "doc": "hpoBuildNumber",
                                "name": "hpoBuildNumber",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "doc": "Modifier associated with the HPO term",
                                "name": "modifiers",
                                "type": [
                                    "null",
                                    {
                                        "items": {
                                            "doc": "HPO Modifiers\n    For GMS, hpoModifierCode and hpoModifierVersion will be used",
                                            "fields": [
                                                {
                                                    "name": "laterality",
                                                    "type": [
                                                        "null",
                                                        {
                                                            "name": "Laterality",
                                                            "symbols": [
                                                                "RIGHT",
                                                                "UNILATERAL",
                                                                "BILATERAL",
                                                                "LEFT"
                                                            ],
                                                            "type": "enum"
                                                        }
                                                    ]
                                                },
                                                {
                                                    "name": "progression",
                                                    "type": [
                                                        "null",
                                                        {
                                                            "name": "Progression",
                                                            "symbols": [
                                                                "PROGRESSIVE",
                                                                "NONPROGRESSIVE"
                                                            ],
                                                            "type": "enum"
                                                        }
                                                    ]
                                                },
                                                {
                                                    "name": "severity",
                                                    "type": [
                                                        "null",
                                                        {
                                                            "name": "Severity",
                                                            "symbols": [
                                                                "BORDERLINE",
                                                                "MILD",
                                                                "MODERATE",
                                                                "SEVERE",
                                                                "PROFOUND"
                                                            ],
                                                            "type": "enum"
                                                        }
                                                    ]
                                                },
                                                {
                                                    "name": "spatialPattern",
                                                    "type": [
                                                        "null",
                                                        {
                                                            "name": "SpatialPattern",
                                                            "symbols": [
                                                                "DISTAL",
                                                                "GENERALIZED",
                                                                "LOCALIZED",
                                                                "PROXIMAL"
                                                            ],
                                                            "type": "enum"
                                                        }
                                                    ]
                                                },
                                                {
                                                    "name": "hpoModifierCode",
                                                    "type": [
                                                        "null",
                                                        "string"
                                                    ]
                                                },
                                                {
                                                    "name": "hpoModifierVersion",
                                                    "type": [
                                                        "null",
                                                        "string"
                                                    ]
                                                }
                                            ],
                                            "name": "HpoTermModifiers",
                                            "type": "record"
                                        },
                                        "type": "array"
                                    }
                                ]
                            },
                            {
                                "doc": "Age of onset in months",
                                "name": "ageOfOnset",
                                "type": [
                                    "null",
                                    {
                                        "name": "AgeOfOnset",
                                        "symbols": [
                                            "EMBRYONAL_ONSET",
                                            "FETAL_ONSET",
                                            "NEONATAL_ONSET",
                                            "INFANTILE_ONSET",
                                            "CHILDHOOD_ONSET",
                                            "JUVENILE_ONSET",
                                            "YOUNG_ADULT_ONSET",
                                            "LATE_ONSET",
                                            "MIDDLE_AGE_ONSET"
                                        ],
                                        "type": "enum"
                                    }
                                ]
                            }
                        ],
                        "name": "HpoTerm",
                        "type": "record"
                    },
                    "type": "array"
                }
            ]
        },
        {
            "doc": "Participant's ancestries, defined as Mother's/Father's Ethnic Origin and Chi-square test for goodness of fit of this sample to 1000 Genomes Phase 3 populations.\n        NOTE: for GMS this field has been deprecated in favour of clinicalEthnicities",
            "name": "ancestries",
            "type": [
                "null",
                {
                    "doc": "Ancestries, defined as Ethnic category(ies) and Chi-square test",
                    "fields": [
                        {
                            "doc": "Mother's Ethnic Origin",
                            "name": "mothersEthnicOrigin",
                            "type": [
                                "null",
                                {
                                    "doc": "This is the list of ethnicities in ONS16\n\n    * `D`:  Mixed: White and Black Caribbean\n    * `E`:  Mixed: White and Black African\n    * `F`:  Mixed: White and Asian\n    * `G`:  Mixed: Any other mixed background\n    * `A`:  White: British\n    * `B`:  White: Irish\n    * `C`:  White: Any other White background\n    * `L`:  Asian or Asian British: Any other Asian background\n    * `M`:  Black or Black British: Caribbean\n    * `N`:  Black or Black British: African\n    * `H`:  Asian or Asian British: Indian\n    * `J`:  Asian or Asian British: Pakistani\n    * `K`:  Asian or Asian British: Bangladeshi\n    * `P`:  Black or Black British: Any other Black background\n    * `S`:  Other Ethnic Groups: Any other ethnic group\n    * `R`:  Other Ethnic Groups: Chinese\n    * `Z`:  Not stated",
                                    "name": "EthnicCategory",
                                    "symbols": [
                                        "D",
                                        "E",
                                        "F",
                                        "G",
                                        "A",
                                        "B",
                                        "C",
                                        "L",
                                        "M",
                                        "N",
                                        "H",
                                        "J",
                                        "K",
                                        "P",
                                        "S",
                                        "R",
                                        "Z"
                                    ],
                                    "type": "enum"
                                }
                            ]
                        },
                        {
                            "doc": "Mother's Ethnic Origin Description",
                            "name": "mothersOtherRelevantAncestry",
                            "type": [
                                "null",
                                "string"
                            ]
                        },
                        {
                            "doc": "Father's Ethnic Origin",
                            "name": "fathersEthnicOrigin",
                            "type": [
                                "null",
                                "EthnicCategory"
                            ]
                        },
                        {
                            "doc": "Father's Ethnic Origin Description",
                            "name": "fathersOtherRelevantAncestry",
                            "type": [
                                "null",
                                "string"
                            ]
                        },
                        {
                            "doc": "Chi-square test for goodness of fit of this sample to 1000 Genomes Phase 3 populations",
                            "name": "chiSquare1KGenomesPhase3Pop",
                            "type": [
                                "null",
                                {
                                    "items": {
                                        "doc": "Chi-square test for goodness of fit of this sample to 1000 Genomes Phase 3 populations",
                                        "fields": [
                                            {
                                                "doc": "1K Super Population",
                                                "name": "kgSuperPopCategory",
                                                "type": {
                                                    "doc": "1K Genomes project super populations",
                                                    "name": "KgSuperPopCategory",
                                                    "symbols": [
                                                        "AFR",
                                                        "AMR",
                                                        "EAS",
                                                        "EUR",
                                                        "SAS"
                                                    ],
                                                    "type": "enum"
                                                }
                                            },
                                            {
                                                "doc": "1K Population",
                                                "name": "kgPopCategory",
                                                "type": [
                                                    "null",
                                                    {
                                                        "doc": "1K Genomes project populations",
                                                        "name": "KgPopCategory",
                                                        "symbols": [
                                                            "ACB",
                                                            "ASW",
                                                            "BEB",
                                                            "CDX",
                                                            "CEU",
                                                            "CHB",
                                                            "CHS",
                                                            "CLM",
                                                            "ESN",
                                                            "FIN",
                                                            "GBR",
                                                            "GIH",
                                                            "GWD",
                                                            "IBS",
                                                            "ITU",
                                                            "JPT",
                                                            "KHV",
                                                            "LWK",
                                                            "MSL",
                                                            "MXL",
                                                            "PEL",
                                                            "PJL",
                                                            "PUR",
                                                            "STU",
                                                            "TSI",
                                                            "YRI"
                                                        ],
                                                        "type": "enum"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "Chi-square test for goodness of fit of this sample to this 1000 Genomes Phase 3 population",
                                                "name": "chiSquare",
                                                "type": "double"
                                            }
                                        ],
                                        "name": "ChiSquare1KGenomesPhase3Pop",
                                        "type": "record"
                                    },
                                    "type": "array"
                                }
                            ]
                        }
                    ],
                    "name": "Ancestries",
                    "type": "record"
                }
            ]
        },
        {
            "doc": "What has this participant consented to?\n        A participant that has been consented to the programme should also have sequence data associated with them; however\n        this needs to be programmatically checked",
            "name": "consentStatus",
            "type": [
                "null",
                {
                    "doc": "Consent Status for 100k program",
                    "fields": [
                        {
                            "default": false,
                            "doc": "Is this individual consented to the programme?\n        It could simply be a family member that is not consented but for whom affection status is known",
                            "name": "programmeConsent",
                            "type": "boolean"
                        },
                        {
                            "default": false,
                            "doc": "Consent for feedback of primary findings?",
                            "name": "primaryFindingConsent",
                            "type": "boolean"
                        },
                        {
                            "default": false,
                            "doc": "Consent for secondary finding lookup",
                            "name": "secondaryFindingConsent",
                            "type": "boolean"
                        },
                        {
                            "default": false,
                            "doc": "Consent for carrier status check?",
                            "name": "carrierStatusConsent",
                            "type": "boolean"
                        }
                    ],
                    "name": "ConsentStatus",
                    "type": "record"
                }
            ]
        },
        {
            "doc": "What has this participant consented in the context of a Genomic Test?",
            "name": "testConsentStatus",
            "type": [
                "null",
                {
                    "doc": "Consent Status for GMS",
                    "fields": [
                        {
                            "doc": "Is this individual consented to the programme? It could simply be a family member that is not consented\n        but for whom affection status is known",
                            "name": "programmeConsent",
                            "type": {
                                "doc": "clinicalEthnicities supersedes Ancestries in GMS",
                                "name": "GenericConsent",
                                "symbols": [
                                    "yes",
                                    "no",
                                    "undefined",
                                    "not_applicable"
                                ],
                                "type": "enum"
                            }
                        },
                        {
                            "doc": "Consent for feedback of primary findings?\n        RD: Primary Findings\n        Cancer: PrimaryFindings is somatic + pertinent germline findings",
                            "name": "primaryFindingConsent",
                            "type": "GenericConsent"
                        },
                        {
                            "doc": "Research Consent",
                            "name": "researchConsent",
                            "type": "GenericConsent"
                        },
                        {
                            "doc": "Consent for secondary health related findings?",
                            "name": "healthRelatedFindingConsent",
                            "type": "GenericConsent"
                        },
                        {
                            "doc": "Consent for carrier status check?",
                            "name": "carrierStatusConsent",
                            "type": "GenericConsent"
                        },
                        {
                            "doc": "Consent for pharmacogenomics consent as secondary findings?",
                            "name": "pharmacogenomicsFindingConsent",
                            "type": "GenericConsent"
                        }
                    ],
                    "name": "GmsConsentStatus",
                    "type": "record"
                }
            ]
        },
        {
            "doc": "This is an array containing all the samples that belong to this individual, e.g [\"LP00002255_GA4\"]",
            "name": "samples",
            "type": [
                "null",
                {
                    "items": {
                        "doc": "A germline sample",
                        "fields": [
                            {
                                "doc": "Sample identifier (e.g, LP00012645_5GH))",
                                "name": "sampleId",
                                "type": "string"
                            },
                            {
                                "doc": "Lab sample identifier",
                                "name": "labSampleId",
                                "type": "int"
                            },
                            {
                                "doc": "LDP Code (Local Delivery Partner)",
                                "name": "LDPCode",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "doc": "Source of the sample",
                                "name": "source",
                                "type": [
                                    "null",
                                    {
                                        "doc": "The source of the sample\n    NOTE: IN GMS, BONE_MARROW_ASPIRATE_TUMOUR_CELLS and BONE_MARROW_ASPIRATE_TUMOUR_SORTED_CELLS are deprecated as they have been separated into their respective biotypes",
                                        "name": "SampleSource",
                                        "symbols": [
                                            "AMNIOTIC_FLUID",
                                            "BLOOD",
                                            "BONE_MARROW",
                                            "BONE_MARROW_ASPIRATE_TUMOUR_CELLS",
                                            "BONE_MARROW_ASPIRATE_TUMOUR_SORTED_CELLS",
                                            "BUCCAL_SWAB",
                                            "CHORIONIC_VILLUS_SAMPLE",
                                            "FIBROBLAST",
                                            "FLUID",
                                            "FRESH_TISSUE_IN_CULTURE_MEDIUM",
                                            "OTHER",
                                            "SALIVA",
                                            "TISSUE",
                                            "TUMOUR",
                                            "URINE"
                                        ],
                                        "type": "enum"
                                    }
                                ]
                            },
                            {
                                "doc": "Product of the sample",
                                "name": "product",
                                "type": [
                                    "null",
                                    {
                                        "name": "Product",
                                        "symbols": [
                                            "DNA",
                                            "RNA"
                                        ],
                                        "type": "enum"
                                    }
                                ]
                            },
                            {
                                "doc": "Preparation method\n        NOTE: In GMS, this has been deprecated in favour of Method and storageMedium",
                                "name": "preparationMethod",
                                "type": [
                                    "null",
                                    {
                                        "doc": "In 100K, preparation Method of sample\n    NOTE: In GMS, this field is deprecated in favour of StorageMedium and Method",
                                        "name": "PreparationMethod",
                                        "symbols": [
                                            "ASPIRATE",
                                            "CD128_SORTED_CELLS",
                                            "CD138_SORTED_CELLS",
                                            "EDTA",
                                            "FF",
                                            "FFPE",
                                            "LI_HEP",
                                            "ORAGENE"
                                        ],
                                        "type": "enum"
                                    }
                                ]
                            },
                            {
                                "doc": "Genomics England programme phase",
                                "name": "programmePhase",
                                "type": [
                                    "null",
                                    {
                                        "name": "ProgrammePhase",
                                        "symbols": [
                                            "CRUK",
                                            "OXFORD",
                                            "CLL",
                                            "IIP",
                                            "MAIN",
                                            "EXPT"
                                        ],
                                        "type": "enum"
                                    }
                                ]
                            },
                            {
                                "doc": "The time when the sample was received. In the format YYYY-MM-DDTHH:MM:SS+0000",
                                "name": "clinicalSampleDateTime",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "participantId",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "doc": "Participant UId of the sample",
                                "name": "participantUid",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "sampleUid",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "maskedPid",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "doc": "In GMS, this is how the sample was extracted from the participant",
                                "name": "method",
                                "type": [
                                    "null",
                                    {
                                        "doc": "In GMS, Method is defined as how the sample was taken directly from the patient",
                                        "name": "Method",
                                        "symbols": [
                                            "ASPIRATE",
                                            "BIOPSY",
                                            "NOT_APPLICABLE",
                                            "RESECTION",
                                            "SORTED_OTHER",
                                            "UNKNOWN",
                                            "UNSORTED",
                                            "CD138_SORTED"
                                        ],
                                        "type": "enum"
                                    }
                                ]
                            },
                            {
                                "doc": "In GMS, this is what solvent/medium the sample was stored in",
                                "name": "storageMedium",
                                "type": [
                                    "null",
                                    {
                                        "doc": "In GMS, storage medium of sample",
                                        "name": "StorageMedium",
                                        "symbols": [
                                            "EDTA",
                                            "FF",
                                            "LI_HEP",
                                            "ORAGENE",
                                            "FFPE"
                                        ],
                                        "type": "enum"
                                    }
                                ]
                            },
                            {
                                "doc": "In GMS, this is the sampleType as entered by the clinician in TOMs",
                                "name": "sampleType",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "doc": "In GMS, this is the sampleState as entered by the clinician in TOMs",
                                "name": "sampleState",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            }
                        ],
                        "name": "GermlineSample",
                        "type": "record"
                    },
                    "type": "array"
                }
            ]
        },
        {
            "doc": "Inbreeding Coefficient Estimation",
            "name": "inbreedingCoefficient",
            "type": [
                "null",
                {
                    "doc": "Inbreeding coefficient",
                    "fields": [
                        {
                            "doc": "This is the sample id against which the coefficient was estimated",
                            "name": "sampleId",
                            "type": "string"
                        },
                        {
                            "doc": "Name of program used to calculate the coefficient",
                            "name": "program",
                            "type": "string"
                        },
                        {
                            "doc": "Version of the programme",
                            "name": "version",
                            "type": "string"
                        },
                        {
                            "doc": "Where various methods for estimation exist, which method was used.",
                            "name": "estimationMethod",
                            "type": "string"
                        },
                        {
                            "doc": "Inbreeding coefficient ideally a real number in [0,1]",
                            "name": "coefficient",
                            "type": "double"
                        },
                        {
                            "doc": "Standard error of the Inbreeding coefficient",
                            "name": "standardError",
                            "type": [
                                "null",
                                "double"
                            ]
                        }
                    ],
                    "name": "InbreedingCoefficient",
                    "type": "record"
                }
            ]
        },
        {
            "doc": "We could add a map here to store additional information for example URIs to images, ECGs, etc\n        Null by default",
            "name": "additionalInformation",
            "type": [
                "null",
                {
                    "type": "map",
                    "values": "string"
                }
            ]
        },
        {
            "doc": "Last Menstrual Period",
            "name": "lastMenstrualPeriod",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "Additional set of diagnostic ontology terms",
            "name": "diagnosticDetails",
            "type": [
                "null",
                {
                    "items": {
                        "fields": [
                            {
                                "doc": "Diagnosis coding system",
                                "name": "diagnosisCodingSystem",
                                "type": "string"
                            },
                            {
                                "doc": "Diagnosis Coding System Version",
                                "name": "diagnosisCodingSystemVersion",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "doc": "Diagnosis Code",
                                "name": "diagnosisCode",
                                "type": "string"
                            },
                            {
                                "doc": "Diagnosis description",
                                "name": "diagnosisDescription",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "doc": "Diagnosis Certainty",
                                "name": "diagnosisCertainty",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "doc": "Age at diagnosis",
                                "name": "ageAtOnsetInYears",
                                "type": [
                                    "null",
                                    "float"
                                ]
                            }
                        ],
                        "name": "DiagnosticDetail",
                        "type": "record"
                    },
                    "type": "array"
                }
            ]
        },
        {
            "doc": "ParticipantGUID in GMS",
            "name": "participantUid",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "ClinicalEthnicity as defined for GMS",
            "name": "clinicalEthnicities",
            "type": [
                "null",
                {
                    "items": {
                        "doc": "* A     British, Mixed British\n    * B     Irish\n    * C     Any other White background\n    * C2    Northern Irish\n    * C3    Other white, white unspecified\n    * CA    English\n    * CB    Scottish\n    * CC    Welsh\n    * CD    Cornish\n    * CE    Cypriot (part not stated)\n    * CF    Greek\n    * CG    Greek Cypriot\n    * CH    Turkish\n    * CJ    Turkish Cypriot\n    * CK    Italian\n    * CL    Irish Traveller\n    * CM    Traveller\n    * CN    Gypsy/Romany\n    * CP    Polish\n    * CQ    All republics which made up the former USSR\n    * CR    Kosovan\n    * CS    Albanian\n    * CT    Bosnian\n    * CU    Croatian\n    * CV    Serbian\n    * CW    Other republics which made up the former Yugoslavia\n    * CX    Mixed white\n    * CY    Other white European, European unspecified, European mixed\n    * D     White and Black Caribbean\n    * E     White and Black African\n    * F     White and Asian\n    * G     Any other mixed background\n    * GA    Black and Asian\n    * GB    Black and Chinese\n    * GC    Black and White\n    * GD    Chinese and White\n    * GE    Asian and Chinese\n    * GF    Other Mixed, Mixed Unspecified\n    * H     Indian or British Indian\n    * J     Pakistani or British Pakistani\n    * K     Bangladeshi or British Bangladeshi\n    * L     Any other Asian background\n    * LA    Mixed Asian\n    * LB    Punjabi\n    * LC    Kashmiri\n    * LD    East African Asian\n    * LE    Sri Lanka\n    * LF    Tamil\n    * LG    Sinhalese\n    * LH    British Asian\n    * LJ    Caribbean Asian\n    * LK    Other Asian, Asian unspecified\n    * M     Caribbean\n    * N     African\n    * P     Any other Black background\n    * PA    Somali\n    * PB    Mixed Black\n    * PC    Nigerian\n    * PD    Black British\n    * PE    Other Black, Black unspecified\n    * R     Chinese\n    * S     Any other ethnic group\n    * S1    Ashkenazi\n    * S2    Sephardi\n    * SA    Vietnamese\n    * SB    Japanese\n    * SC    Filipino\n    * SD    Malaysian\n    * SE    Any Other Group\n    * Z     Not stated",
                        "name": "ClinicalEthnicity",
                        "symbols": [
                            "A",
                            "B",
                            "C",
                            "C2",
                            "C3",
                            "CA",
                            "CB",
                            "CC",
                            "CD",
                            "CE",
                            "CF",
                            "CG",
                            "CH",
                            "CJ",
                            "CK",
                            "CL",
                            "CM",
                            "CN",
                            "CP",
                            "CQ",
                            "CR",
                            "CS",
                            "CT",
                            "CU",
                            "CV",
                            "CW",
                            "CX",
                            "CY",
                            "D",
                            "E",
                            "F",
                            "G",
                            "GA",
                            "GB",
                            "GC",
                            "GD",
                            "GE",
                            "GF",
                            "H",
                            "J",
                            "K",
                            "L",
                            "LA",
                            "LB",
                            "LC",
                            "LD",
                            "LE",
                            "LF",
                            "LG",
                            "LH",
                            "LJ",
                            "LK",
                            "M",
                            "N",
                            "P",
                            "PA",
                            "PB",
                            "PC",
                            "PD",
                            "PE",
                            "R",
                            "S",
                            "S1",
                            "S2",
                            "SA",
                            "SB",
                            "SC",
                            "SD",
                            "SE",
                            "Z"
                        ],
                        "type": "enum"
                    },
                    "type": "array"
                }
            ]
        },
        {
            "doc": "For GMS cases, previous Treatment History",
            "name": "previousTreatment",
            "type": [
                "null",
                {
                    "items": {
                        "doc": "In GMS, Previous Treatment of Patient",
                        "fields": [
                            {
                                "name": "previousTreatmentType",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "previousTreatmentName",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "previousTreatmentDate",
                                "type": [
                                    "null",
                                    {
                                        "doc": "This defines a date record",
                                        "fields": [
                                            {
                                                "doc": "Format YYYY",
                                                "name": "year",
                                                "type": "int"
                                            },
                                            {
                                                "doc": "Format MM. e.g June is 06",
                                                "name": "month",
                                                "type": [
                                                    "null",
                                                    "int"
                                                ]
                                            },
                                            {
                                                "doc": "Format DD e.g. 12th of October is 12",
                                                "name": "day",
                                                "type": [
                                                    "null",
                                                    "int"
                                                ]
                                            }
                                        ],
                                        "name": "Date",
                                        "type": "record"
                                    }
                                ]
                            }
                        ],
                        "name": "PreviousTreatment",
                        "type": "record"
                    },
                    "type": "array"
                }
            ]
        }
    ],
    "name": "PedigreeMember",
    "namespace": "org.gel.models.participant.avro",
    "type": "record"
}